QGIS Application - Bug report #16917

Vector layer dialog orders numeric columns alphabetically, not numerically

2017-07-22 12:59 PM - Johannes Kroeger

Status: Closed
Priority: Normal
Assignee:

Category: GUI

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 24816

Description

If you open a vector file with multiple layers you get the "Select vector layers to add..." dialog.

That dialog includes a column "Number of features" with counts of the features per layer.

If you sort that column, it will be sorted alphabetically (1, 10, 100, 2, 3) but it should be sorted numerically. See the attached screenshot.

The same applies to the Layer ID column.

Confirmed by duiv in master, | am on 2.18.

You can use the attached sample gpkg to reproduce.

Source for the sample data was http://suche.transparenz.hamburg.de/dataset/alkis-verwaltungsgrenzen-hamburg?7

License of the sample data: Datenlizenz Deutschland Namensnennung 2.0 (Freie und Hansestadt Hamburg, Landesbetrieb

Geoinformation und Vermessung)

Associated revisions

Revision 90fa6c2e - 2017-07-22 01:41 PM - Jiirgen Fischer

sub layer dialog: sort by layer id and feature count numerically (fixes #16917)

History

#1 - 2017-07-22 01:02 PM - Richard Duivenvoorde
- File sort.png added
- File nl.gpkg added

confirmed in master with both attached datasets

#2 - 2017-07-22 01:44 PM - Jiirgen Fischer
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|90fa6c2e9124b555428ab083bf936d28b043539f.

Files

ALKISVerwaltungsgrenzen_HH_2016-11-02.gpkg.gz 1.66 MB 2017-07-22
http://suche.transparenz.hamburg.de/dataset/alkis-verwaltungsgrenzen-hamburg7

feature count order.png 8.37 KB 2017-07-22 Johannes Kroeger
nl.gpkg 648 KB 2017-07-22 Richard Duivenvoorde
sort.png 21.9KB 2017-07-22 Richard Duivenvoorde
